Package org.kapott.hbci.comm

## Class HBCI4JavaLogOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.kapott.hbci.comm.HBCI4JavaLogOutputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

    public class HBCI4JavaLogOutputStream
    extends java.io.OutputStream

### Constructor Summary

Constructors
`HBCI4JavaLogOutputStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `write​(byte[] b)`
`void` `write​(byte[] b, int off, int len)`
`void` `write​(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCI4JavaLogOutputStream

    public HBCI4JavaLogOutputStream()

### Method Detail

#### write

    public void write​(int b)

Specified by:
  `write` in class `java.io.OutputStream`

#### write

    public void write​(byte[] b,
                      int off,
                      int len)

Overrides:
  `write` in class `java.io.OutputStream`

#### write

    public void write​(byte[] b)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`